
/*
 *  Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
*/
package wssunt;

import javax.jws.WebService;

import weblogic.wsee.jws.jaxws.owsm.SecurityPolicy;


@SecurityPolicy(uri = "oracle/wss_username_token_service_policy")
@WebService
public class HelloWorld_Http extends HelloWorld {
    public HelloWorld_Http() {
        super();
    }

    public String hello(String name) {
        return super.hello("--unsecured--" + name);
    }

    public String callHello(String address, String wsdl, String name, String user, String pwd) {
        return callUtilHello(address, wsdl, name, user, pwd, null);
    }

    public String callHelloWithCSFKey(String address, String wsdl, String name, String csfkey) {
        return callUtilHello(address, wsdl, name, null, null, csfkey);
    }
}
